#!/bin/bash

### TF 07/02/03
### For SuSE/KDE menu items, directory layout is slightly unusual

# Normally have directory
#
#  ~/.kde/share/applnk/APLX for Linux .../
#
# representing the APLX menu, with a single file in it "startaplx.desktop"
#
# For SuSE, it is the same, except that the "APLX for Linux ..." directory
# is one level lower, within a "SuSE" directory
#
#  ~/.kde/share/applnk/SuSE/APLX for Linux .../
#
if [ -d ~/.kde/share/applnk/SuSE ]; then
    APLX_MENU_DIRS=~/.kde/share/applnk/APLX*

    for d in $APLX_MENU_DIRS; do
        if [ -d "$d" ]; then
            cp -rf "$d" ~/.kde/share/applnk/SuSE
	fi
    done
fi
